com.dlsc.flexgantt.swing.layer.system

## Class ActionLayerButtonPanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - com.dlsc.flexgantt.swing.layer.system.ActionLayerButtonPanel

- All Implemented Interfaces:
    ImageObserver, MenuContainer, Serializable, Accessible

      public class ActionLayerButtonPanel
      extends JPanel

  The panel that wraps the individual action buttons shown in the action layer (@see `ActionLayer`).
  Since:
    2.1
  Author:
    Dirk Lemmermann
  See Also:
    `ActionLayer.setButtonPanel(ActionLayerButtonPanel)`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionLayerButtonPanel(ActionLayer layer)` Constructs a new panel used for displaying action buttons in the action layer / layer container.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JButton` | `createButton(Action action)` Factory method to create a button for a given action.
    `Paint` | `getBackgroundPaint()` Returns the background paint used for the panel that contains the individual action buttons.
    `Color` | `getBorderColor()` Returns the color used for the border of the panel that contains the individual action buttons.
    `Border` | `getButtonBorder()` Returns the border used for the individual action buttons.
    `Paint` | `getButtonRolloverPaint()` Returns the paint that is used to fill the background of the action buttons when the mouse cursor rolls over it.
    `int` | `getButtonXGap()` Returns the number of pixels to be used as horizontal space between buttons.
    `int` | `getButtonYGap()` Returns the number of pixels to be used as vertical space between buttons.
    `int` | `getColumns()` Returns the number of colums used for laying out the action buttons.
    `void` | `paint(Graphics g)`
    `void` | `setActions(List<Action> actions)` Called by the action layer (see `ActionLayer`) to populate the panel with action buttons.
    `void` | `setBackgroundPaint(Paint paint)` Sets the background paint used for the panel that contains the individual action buttons.
    `void` | `setBorderColor(Color color)` Sets the color used for the border of the panel that contains the individual action buttons.
    `void` | `setButtonBorder(Border border)` Sets a new border to be used for the individual action buttons.
    `void` | `setButtonRolloverPaint(Paint paint)` Sets the paint that is used to fill the background of the action buttons when the mouse cursor rolls over it.
    `void` | `setButtonXGap(int gap)` Sets the number of pixels to be used as horizontal space between buttons.
    `void` | `setButtonYGap(int gap)` Sets the number of pixels to be used as vertical space between buttons.
    `void` | `setColumns(int count)` Specifies the number of colums used for laying out the action buttons.
    `void` | `setOpacity(float opacity)` Sets the opacity for the panel.

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionLayerButtonPanel

          public ActionLayerButtonPanel(ActionLayer layer)

      Constructs a new panel used for displaying action buttons in the action layer / layer container.
      Parameters:
        `layer` -
      Since:
        2.1
      See Also:
        `ActionLayer.setButtonPanel(ActionLayerButtonPanel)`

  - ### Method Detail

    - #### setButtonXGap

          public void setButtonXGap(int gap)

      Sets the number of pixels to be used as horizontal space between buttons.
      Parameters:
        `gap` - the space in pixels
      Since:
        2.1

    - #### getButtonXGap

          public int getButtonXGap()

      Returns the number of pixels to be used as horizontal space between buttons.
      Returns:
        the horizontal space between buttons
      Since:
        2.1

    - #### setButtonYGap

          public void setButtonYGap(int gap)

      Sets the number of pixels to be used as vertical space between buttons.
      Parameters:
        `gap` - the space in pixels
      Since:
        2.1

    - #### getButtonYGap

          public int getButtonYGap()

      Returns the number of pixels to be used as vertical space between buttons.
      Returns:
        the vertical space between buttons
      Since:
        2.1

    - #### setActions

          public void setActions(List<Action> actions)

      Called by the action layer (see `ActionLayer`) to populate the panel with action buttons.
      Parameters:
        `actions` - the actions for which buttons are added inside the panel
      Since:
        2.1

    - #### createButton

          protected JButton createButton(Action action)

      Factory method to create a button for a given action. The default implementation creates instances of an inner button class.
      Parameters:
        `action` - the action for which a button is needed
      Returns:
        the button to trigger the action
      Since:
        2.1

    - #### setOpacity

          public void setOpacity(float opacity)

      Sets the opacity for the panel. This way the panel can be smoothly shown or hidden.
      Parameters:
        `opacity` - the opacity, 1 = opaque, 0 = translucent
      Since:
        2.1

    - #### paint

          public void paint(Graphics g)

      Overrides:
        `paint` in class `JComponent`

    - #### getButtonBorder

          public Border getButtonBorder()

      Returns the border used for the individual action buttons.
      Returns:
        the border used for the buttons
      Since:
        2.1

    - #### getButtonRolloverPaint

          public Paint getButtonRolloverPaint()

      Returns the paint that is used to fill the background of the action buttons when the mouse cursor rolls over it.
      Returns:
        the background paint
      Since:
        2.1

    - #### getBackgroundPaint

          public Paint getBackgroundPaint()

      Returns the background paint used for the panel that contains the individual action buttons.
      Returns:
        the background paint
      Since:
        2.1

    - #### getBorderColor

          public Color getBorderColor()

      Returns the color used for the border of the panel that contains the individual action buttons.
      Returns:
        the border color
      Since:
        2.1

    - #### getColumns

          public int getColumns()

      Returns the number of colums used for laying out the action buttons. Additional rows will be used if more buttons than columns need to be displayed.
      Returns:
        the maximum number of buttons laid out in one row
      Since:
        2.1

    - #### setButtonBorder

          public void setButtonBorder(Border border)

      Sets a new border to be used for the individual action buttons.
      Parameters:
        `border` - the border used for the buttons
      Since:
        2.1

    - #### setButtonRolloverPaint

          public void setButtonRolloverPaint(Paint paint)

      Sets the paint that is used to fill the background of the action buttons when the mouse cursor rolls over it.
      Parameters:
        `paint` - the background paint
      Since:
        2.1

    - #### setBackgroundPaint

          public void setBackgroundPaint(Paint paint)

      Sets the background paint used for the panel that contains the individual action buttons.
      Parameters:
        `paint` - the background paint
      Since:
        2.1

    - #### setBorderColor

          public void setBorderColor(Color color)

      Sets the color used for the border of the panel that contains the individual action buttons.
      Parameters:
        `color` - the color used for the border of the action panel
      Since:
        2.1

    - #### setColumns

          public void setColumns(int count)

      Specifies the number of colums used for laying out the action buttons. Additional rows will be used if more buttons than columns need to be displayed.
      Parameters:
        `count` - the maximum number of buttons laid out in one row
      Since:
        2.1

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.